Contenu | Rechercher | Menus

Annonce

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Pour en savoir un peu plus sur l'équipe du forum.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#1 Le 14/05/2017, à 17:33

Xahendir

problème d'installation de PhPMyadmin

Bonjour,

J'ai essayé d'installer PhPMyadmin ... et je n'arrive à rien sans comprendre la raison de mes problèmes.
Quand j'installe, que ça soit via Synaptic ou par ligne de commande, et que j'essaie d'aller sur la page http://127.0.0.1/ via Firefox j'obtiens ça :

php

Si je clique sur options, j'ai la possibilité de régler les paramètres avancés de NoScript mais je n'y comprends strictement rien.

Et si j'essaie d'ouvrir PhPMyadmin, un onglet s'ouvre dans Firefox et tout ce que j'obtiens c'est :

Fatal error: Uncaught Error: Call to undefined function __() in /usr/share/phpmyadmin/libraries/core.lib.php:245 Stack trace: #0 /usr/share/phpmyadmin/libraries/core.lib.php(321): PMA_fatalError('The [a@./url.ph...') #1 /usr/share/phpmyadmin/libraries/common.inc.php(298): PMA_warnMissingExtension('json', true) #2 /usr/share/phpmyadmin/index.php(12): require_once('/usr/share/phpm...') #3 {main} thrown in /usr/share/phpmyadmin/libraries/core.lib.php on line 245

A noter que lors de l'utilisation du terminal pour l'installation j'obtiens ça :

mysql-server is already the newest version (5.7.18-0ubuntu0.16.04.1).
0 mis à jour, 0 nouvellement installés, 0 à enlever et 5 non mis à jour.
N: « 20auto-upgrades.ucf-dist » dans le répertoire « /etc/apt/apt.conf.d/ » a été ignoré car il utilise une extension non valable

Est-ce que quelqu'un pourrait m'expliquer l'origine du problème et le moyen de le régler ?

Merci d'avance.

Dernière modification par Xahendir (Le 14/05/2017, à 17:35)

Hors ligne

#2 Le 15/05/2017, à 02:41

elburgos

Re : problème d'installation de PhPMyadmin

Désactive NoScript si tu ne sais pas t'en servir : tu cliques sur l'icône en haut à droite (le S bleu barré en rouge) et tu choisis : Autoriser javascript globalement et tu confirmes.

Pour installer lamp :

sudo apt install lamp-server^

Pour installer phpmyadmin

sudo apt install phpmyadmin

Pour ton message en console, ce n'est pas un message d'erreur, ça te dit simplement que mysql est déjà installé.
Pour reconfigurer mysql au cas où tu ne te souviendrais pas des login et password :

sudo dpkg-reconfigure mysql-server-5.7

Envoyé depuis mon Windows Phone

Hors ligne

#3 Le 15/05/2017, à 03:00

Xahendir

Re : problème d'installation de PhPMyadmin

elburgos a écrit :

Désactive NoScript si tu ne sais pas t'en servir

Je ne sais pas ce qu'il y a à savoir mais je l'utilise et j'active/désactive les scripts en fonction de mes besoins quand je me balade sur net.

J'ai temporairement désactivé Noscript et utilisé les 3 commandes mais je continue à avoir les mêmes messages, que ça soit dans la console, sur la page  http://127.0.0.1/ ou à l'ouverture de phphMyAdmin.

Hors ligne

#4 Le 18/05/2017, à 22:33

Xahendir

Re : problème d'installation de PhPMyadmin

Bon, j'ai cherché des solutions sur le net, demandé de l'aide à une connaissance, essayé de désinstaller/réinstaller à plusieurs reprises ...

Et j'ai toujours le même résultat quand j'ouvre http://127.0.0.1/ ou http://localhost dans un onglet:

https://img4.hostingpics.net/pics/774706php.png

Le résultat pour http://localhost/phpmyadmin/ :

phpMyAdmin - Error

The json extension is missing. Please check your PHP configuration.

Hors ligne

#5 Le 19/05/2017, à 07:22

bruno

Re : problème d'installation de PhPMyadmin

Bonjour,

Il faut que tu installes le paquet php-json

Hors ligne

#6 Le 04/06/2017, à 18:19

Xahendir

Re : problème d'installation de PhPMyadmin

bruno a écrit :

Bonjour,

Il faut que tu installes le paquet php-json

Je l'ai fait (et à de nombreuses reprises je dirais vu que j'ai testé plusieurs tuto).
Aucun changement.

Hors ligne

#7 Le 05/06/2017, à 06:54

bruno

Re : problème d'installation de PhPMyadmin

C'est pourtant bien cela qui manque…
Je ne comprends d'ailleurs pas comment cela peut arriver puisque c'est une dépendance du paquet phpmyadmin.

Au cas où :

sudo apt install php7.0-json

Hors ligne